Page Index Toggle Pages: 1
Topic Tools
Normal Topic Error after running setup.pl latest download 2.5.2 (Read 1,374 times)
Dandello
YaBB Administrator
YaBB Next Team
Operations Team
Beta Testers
Support Team
*****
Online



Posts: 2,200
Location: Earth

YaBB 2.6.0
Re: Error after running setup.pl latest download 2.5.2
Reply #5 - Dec 20th, 2012 at 9:18pm
Post Tools
The default setting for compression should be 0 - but I've had my server throw the same 'non supported compression' error when I've messed up a javascript or something has passed through to html that isn't html (but then, I do a lot of code breaking uh  'editing'.  Roll Eyes )

The backup utility for 2.5.4 will have the ability to change where YaBB looks for the compression utilities.
  

If you only have one solution to a problem you're not trying hard enough!
Back to top
WWW  
IP Logged
 
JonB
YaBB Administrator
YaBB Next Team
Operations Team
Beta Testers
Support Team
*****
Offline



Posts: 3,785
Location: Land of the Blazing Sun!

YaBB 2.6.0
Re: Error after running setup.pl latest download 2.5.2
Reply #4 - Dec 20th, 2012 at 8:01pm
Post Tools
I have not looked for that code yet, so I don't know what it's doing. Somehow - in his case - it was actually set to Zlib::Conpress.

Doesn't the fresh install have the value defaulted to 0???

About the path issue:

For Backup.pl we know that the gzip location is hard-coded. (cause you and I looked at that).

You may be able to extract that location from a Linux server environment table/variable, or make a Linux system call with 'find' or 'grep' to look for gzip.

Cheers
Wink


  

I find your lack of faith disturbing.
Back to top
IP Logged
 
Dandello
YaBB Administrator
YaBB Next Team
Operations Team
Beta Testers
Support Team
*****
Online



Posts: 2,200
Location: Earth

YaBB 2.6.0
Re: Error after running setup.pl latest download 2.5.2
Reply #3 - Dec 20th, 2012 at 4:12pm
Post Tools
Obviously this is an issue that 1: needs to go into the Quick Guide (since if you can't log in because of this you can't change to location of where YaBB is looking for gzip or turn it off.)
2: A way to change the location of where YaBB is looking for gzip and some of the other server level modules it needs.  Huh
« Last Edit: Dec 20th, 2012 at 4:14pm by Dandello »  

If you only have one solution to a problem you're not trying hard enough!
Back to top
WWW  
IP Logged
 
depablo
YaBB Moderators
YaBB Next Team
Beta Testers
***
Offline



Posts: 577
Location: UK

None
Re: Error after running setup.pl latest download 2.5.2
Reply #2 - Dec 20th, 2012 at 11:05am
Post Tools
So pleased you got your forum working  Smiley
  

Taking a peek behind the mask Wink
Back to top
 
IP Logged
 
JonB
YaBB Administrator
YaBB Next Team
Operations Team
Beta Testers
Support Team
*****
Offline



Posts: 3,785
Location: Land of the Blazing Sun!

YaBB 2.6.0
Re: Error after running setup.pl latest download 2.5.2
Reply #1 - Dec 20th, 2012 at 10:25am
Post Tools
Quote:
for some reason the topic was locked so I am unable to post my thanks in the thread??? I hope I didn't upset someone.

Nope, the forum was on maintenance for about 20-30 secs there while I rebuilt the message index, it was so brief the maintenance message was gone when you refreshed. *quick server!  Smiley

Good luck with YaBB

Wink


« Last Edit: Dec 20th, 2012 at 10:32am by JonB »  

I find your lack of faith disturbing.
Back to top
IP Logged
 
CSK
YaBB Newcomer
*
Offline



Posts: 6

None
Error after running setup.pl latest download 2.5.2
Dec 20th, 2012 at 10:09am
Post Tools
I would just like to thank the team on here, for some reason the topic was locked so I am unable to post my thanks in the thread??? I hope I didn't upset someone.

Indeed the $gzcomp setting was the reason. It was set at =2 (Zlib:Compress), I altered it to =0 and was able to log in as I would expect to.

Many thanks. I am in your debt.
  
Back to top
 
IP Logged
 
Page Index Toggle Pages: 1
Topic Tools
 
  « Board Index ‹ Board  ^Top